Name:           python-cached_property
Version:        1.5.2
Release:        3
Summary:        A cached-property for decorating methods in Python classes
License:        BSD-3-Clause
URL:            https://github.com/pydanny/cached-property
Source0:        https://github.com/pydanny/cached-property/archive/%{version}/cached-property-%{version}.tar.gz

Patch0001:      cached-property-1.5.1-test-failure.patch
Patch0002:      fix-test-failure-due-to-python3.11.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-dateutil
BuildRequires:  python%{python3_pkgversion}-freezegun python%{python3_pkgversion}-pytest

%description
cached_property allows properties in Python classes to be cached until the cache
is invalidated or expired.

%package     -n python%{python3_pkgversion}-cached_property
Summary:        A cached-property for decorating methods in Python classes.

%{?python_provide:%python_provide python%{python3_pkgversion}-cached_property}
Provides:       python%{python3_pkgversion}-cached-property = %{version}-%{release}
Obsoletes:      python%{python3_pkgversion}-cached-property < 1.3.0-2

%description -n python%{python3_pkgversion}-cached_property
cached_property allows properties in Python classes to be cached until the cache
is invalidated or expired.

%package_help

%prep
%autosetup -n cached-property-%{version} -p1

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%check
PYTHONPATH=./ py.test-3

%files -n python%{python3_pkgversion}-cached_property
%defattr(-,root,root)
%doc AUTHORS.rst
%license LICENSE
%{python3_sitelib}/cached_property*
%{python3_sitelib}/__pycache__/cached_property*

%files help
%defattr(-,root,root)
%doc HISTORY.rst CONTRIBUTING.rst README.rst

%changelog
* Sat Jul 22 2023 xu_ping <707078654@qq.com> - 1.5.2-3
- Fix test failure due to python 3.11

* Fri Jun 17 2022 liukuo <liukuo@kylinos.cn> - 1.5.2-2
- License compliance rectification

* Tue Jun 14 2022 houyingchao <houyingchao@h-partners.com> - 1.5.2-1
- Upgrade to 1.5.2

* Thu Aug 5 2021 Shenmei Tu <tushenmei@huawei.com> - 1.5.1-3
- cached-property-1.5.1-test-failure.patch

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 1.5.1-2
- Remove subpackage python2-cached_property

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.5.1-1
- Package init
